• Resolved setgears

    (@setgears)


    when a updated at contend i was unable to access my wordpress account and it showed this error Warning: Cannot modify header information – headers already sent by (output started at /home/setgears/public_html/wp-content/plugins/atcontent/include/atcontent_content_processing.php:1) in /home/setgears/public_html/wp-includes/pluggable.php on line 896
    please help i really is this plugin!

    http://wordpress.org/plugins/atcontent/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Moderator Samuel Wood (Otto)

    (@otto42)

    WordPress.org Admin

    @opuramu: You caused this error in your most recent update to this plugin here:

    http://plugins.trac.wordpress.org/changeset/836727/atcontent

    If you examine the atcontent_content_processing.php file, you’ll notice that the first line has changed.

    Although you cannot see it, you saved the file with an editor using Unicode mode. This caused it to include a Byte Order Mark at the beginning of that file, before the ?php bit.

    PHP does not recognize or use Byte Order Marks, however, that content will be output when the file is included, leaving to the “cannot modify header information” errors for people that have debug enabled on their PHP systems. The inability to set headers will also prevent things like people being able to log into their dashboards. They will have to manually remove your plugin in order to gain access to their site again.

    You will need to resave that file without the Byte Order Mark, and update it in the SVN system.

    Plugin Author Vadim Novitskiy

    (@vadnov)

    Hi setgears and Samuel Wood (Otto)!

    I fixed the problem with BOM. Please, include our plugin in list.

    Best,
    Vadim & AtContent Team

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘error’ is closed to new replies.